Retrieve order events
curl --request GET \
--url https://dev.sbx.imprint.co/v2/order_events \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dev.sbx.imprint.co/v2/order_events"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dev.sbx.imprint.co/v2/order_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"order_id": "77f60af4-185e-4867-b113-34e3cf7c6acd",
"type": "CAPTURED",
"amount": 274999,
"network_transaction_id": "615e3ba0-6b99-495b-ade4-1f584c40f376",
"order_event_id": "77f60af4-185e-4867-b113-34e3cf7c6acd",
"partner_event_id": "7622c07d-eb2b-4345-a9a9-345d61d32bc2",
"rewards_amount": 2500,
"currency": "USD",
"order_lines": [
{
"name": "Couch Supreme",
"product_url": "www.restassured.com/couch-supreme",
"image_url": "https://cdn.restassured.com/couch-supreme.jpg",
"quantity": 1,
"rate": 274999,
"rewards_rate": 2500
}
]
}
],
"has_more": true,
"total": 123
}{
"error": {
"type": "BAD_REQUEST_ERROR",
"message": "unsupported reward_type: INVALID, must be STATEMENT or DELAYED"
}
}Order Events
Retrieve order events
Get a list of order events.
Required scope: ORDER_READ
GET
/
v2
/
order_events
Retrieve order events
Authorizations
basicAuthbearerAuth
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Query Parameters
An order event ID. If provided, the response will only have a maximum of one result.
Enables searching for events by order ID
The identifier of the order event in the partner system. If provided, the response will only have a maximum of one result.
The network's unique identifier for the transaction. Examples include Visa Transaction ID, Mastercard Trace ID, and American Express Network Reference ID
Limits the number of returned results
Required range:
x >= 1A cursor for use in pagination. An id that defines your place in the list.